Mark Sales Order as Accepted for fulfillment in Zentail
You call thissales:orders:fulfillment:self
const url = 'https://api.zentail.com/v1/salesOrder/accept/1';const options = { method: 'POST', headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'}, body: '{"lineItemIds":["example"]}'};
try { const response = await fetch(url, options); const data = await response.json(); console.log(data);} catch (error) { console.error(error);}curl --request POST \ --url https://api.zentail.com/v1/salesOrder/accept/1 \ --header 'Authorization: Bearer <token>' \ --header 'Content-Type: application/json' \ --data '{ "lineItemIds": [ "example" ] }'Authorizations
Section titled “Authorizations”Parameters
Section titled “ Parameters ”Path Parameters
Section titled “Path Parameters”Zentail Order Number
Request Body
Section titled “Request Body”object
The line item IDs that you are claiming as accepted. Each value must match products[].lineItemId from the GET sales order response for this order (may be numeric or a composite id from the channel, e.g. orderId-lineItemId).
Examplegenerated
{ "lineItemIds": [ "example" ]}Responses
Section titled “ Responses ”Success
object
The unique identifier for an order in Zentail
If the order is CANCELLED this will provide the reason for the cancellation.
The name of the sales channel where the order was placed.
Label for the sales channel in Zentail. Some customers might have multiple instances of the same sales channel. This label is used to distinguish between them.
The unique identifier for the order as provided by the sales channel.
An optional identifier that some sales channels provide in addition to the channelOrderId
Notes provided by the customer that placed the order
An identifier of the marketplace where the order was placed, if the sales channel provides multiple marketplaces.
The name of the customer that placed the order
The contact email of the customer that placed the order
The time that the order was placed. In ISO-8601 format
The time that the order was last updated in Zentail. In ISO-8601 format
The service level that was requested by the sales channel
The channel’s service level after being standardized in Zentail. Unknown is returned if a Standard Service level can’t be determined.
The earliest of the line items’ lastestShipBy timestamps. This is a read-only field. In ISO-8601 format.
Information used to help with accounting
object
The payment amount
Tax as reported by the sales channel
Commission taken by the sales channel
Cost of shipping
Cost of the items
Total cost of the order
Revenue of the order.
Profit of the order
Margin of the order
Total item price
Total shipping price
Total refunded if the order was partially or completely refunded
The total discount applied on the channel
object
Type of address. For example, Residential or Commercial.
object
Type of address. For example, Residential or Commercial.
The individual packages once the order has been fulfilled
object
The unique identifier for the package in Zentail
The name of the carrier responsible for delivering the package
The service level for the package, i.e. “2 day”
The cost for shipping the package
The tracking number of the package
Timestamp at which the package has been shipped, defaulted to when the api request is sent. In ISO-8601 format
The RMA identifier if the package was created due to an RMA.
A URL to a shipping label for the package
The numeric weight of the package, see packageWeightUom for the units.
The units of measure for the packageWeight.
The height of the package in inches
The width of the package in inches
The length of the package in inches
The line items in the package
object
The SKU of a product included in the package
The unique identifier of thie line item
The amount of the SKU included in the package
The line items that make up the order.
object
The unique identifier for the line item in Zentail
The unique identifier for the line item provided by the sales channel
This is the title requested by the sales channel, it may not exactly match the title in Zentail.
This is the SKU requested by the sales channel, to see the SKU actually referenced by Zentail, see the SKU column.
This is the SKU used in Zentail for the product. It may not match the SKU requested by the channel if the SKU requested was an Alias or if channel-based SKU Overrides are in use.
[deprecated] please use sku instead.
This is the manufactured part number provided for the product in Zentail. This can be blank since we accept orders for products that are not in Zentail.
This is the UPC/EAN/ISBN/GTIN provided for the product in Zentail. This can be blank since we accept orders for products that are not in Zentail.
This is the title of the Zentail product. This can be blank since we accept orders for products that are not in Zentail.
The amount for this line item
Information describing how this line item was routed for Warehouses to perform fulfillment.
object
Unique identifier for the warehouse as recognized by the application. Note: This field is only provided in the response if an application is registered with Zentail as an inventory Integration or a Shipping integration or a 3PL (Third Party Logistics) software.
The total amount to use from this Warehouse
The number of already assembled kits in the Warehouse. This is null for single sku.
The individual components of a kit. This is null for single sku.
object
The component sku that is part of the kit.
Number of component units to assembled one kit
object
object
object
object
Whether this line item ships as hazardous material, derived from the product’s catalog hazmat attributes. null means Zentail has no usable hazmat answer for this SKU; it is not an assertion that the item is safe to ship unflagged.
object
Requested carrier and/or service level for the line item, else order as a whole.
Details of any return that was issued for this order.
object
The unqiue identifier for the return order in Zentail
The unqiue identifier for the return order in the sales channel
The time that the return order was requested. In ISO-8601 format
Indicates the return request has been cancelled
The line items that makeup the return order
object
The unique identifier for this line item
The SKU that is being returned
The amount that is being returned
The original quantity that was ordered
The amount of payment that is being refunded
Indicates this is an Amazon order which was fulfilled by automatically FBA. This could be false while parts of the order are still routed to FBA if it’s a multi-channel FBA order.
Whether the sales channel, rather than a merchant warehouse, is expected to fulfill this order.
Indicates this is a seller-fulfilled prime order.
Indicates this is a business order.
Bad Request
object
Example
400Permission Denied
object
Example
403Not Found
object
Example
404Zentail Error
object
Example
500Zentail Error
object
Example
503